# Returns all time entries of the specified task.

GET https://api.awork.com/api/v1/tasks/{taskId}/timeentries



<Check title="Required Permissions" icon="key">Any authenticated user.</Check>

## Request example

```sh
curl -X GET --globoff 'https://api.awork.com/api/v1/tasks/{taskId}/timeentries' \
  -H 'Authorization: Bearer <token>'
```

- path parameter `taskId`: string (required). The id of the task.

- query parameter `page`: integer. Page number for pagination

- query parameter `pageSize`: integer. Number of items per page

- query parameter `orderby`: string. The properties to order by

- query parameter `filterby`: string. The filter expression to filter by

## Response 200

OK

application/json

```json
[
  {
    "isBillable": true,
    "isBilled": false,
    "taskId": "123e4567-e89b-12d3-a456-426614174000",
    "projectId": "123e4567-e89b-12d3-a456-426614174000",
    "note": "I created a first draft for the new sitemap",
    "startDateUtc": "2022-03-01T00:00:00Z",
    "startTimeUtc": "09:21:00",
    "endDateUtc": "2022-03-01T18:21:05Z",
    "endTimeUtc": "11:45:00",
    "startDateLocal": "2022-03-01T00:00:00",
    "startTimeLocal": "10:21:00",
    "endDateLocal": "2022-03-01T17:21:05",
    "endTimeLocal": "12:45:00",
    "timezone": "Europe/Berlin",
    "duration": 8635,
    "breakDuration": 1,
    "typeOfWorkId": "123e4567-e89b-12d3-a456-426614174000",
    "userId": "123e4567-e89b-12d3-a456-426614174000",
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "createdBy": "123e4567-e89b-12d3-a456-426614174000",
    "createdOn": "2026-01-15T09:30:00Z",
    "updatedBy": "123e4567-e89b-12d3-a456-426614174000",
    "updatedOn": "2026-01-15T09:30:00Z",
    "typeOfWork": {
      "id": "80a2b26b-9fb3-42b5-b6dc-126c437cad5d",
      "name": "Design",
      "icon": "thumb_up",
      "isArchived": false
    },
    "user": {
      "id": "80a2b26b-9fb3-42b5-b6dc-126c437cad5d",
      "firstName": "Carla",
      "lastName": "Creative",
      "hasImage": true,
      "isExternal": true
    },
    "task": {
      "id": "80a2b26b-9fb3-42b5-b6dc-126c437cad5d",
      "name": "Design",
      "baseType": "projecttask",
      "taskIdentifier": "string",
      "taskStatusId": "123e4567-e89b-12d3-a456-426614174000",
      "typeOfWorkId": "123e4567-e89b-12d3-a456-426614174000",
      "project": {
        "id": "80a2b26b-9fb3-42b5-b6dc-126c437cad5d",
        "name": "Design",
        "projectStatus": {
          "id": "80a2b26b-9fb3-42b5-b6dc-126c437cad5d",
          "name": "Design",
          "description": "Work in progress",
          "type": "todo",
          "isArchived": false
        },
        "company": {
          "id": "80a2b26b-9fb3-42b5-b6dc-126c437cad5d",
          "name": "Design",
          "hasImage": true,
          "description": "One of our customers"
        },
        "projectType": {
          "id": "80a2b26b-9fb3-42b5-b6dc-126c437cad5d",
          "name": "Design",
          "icon": "thumb_up",
          "isArchived": false
        },
        "projectKey": "string",
        "isPrivate": false,
        "hasImage": true,
        "isExternal": true,
        "isBillableByDefault": true,
        "createdBy": "123e4567-e89b-12d3-a456-426614174000"
      },
      "projectId": "123e4567-e89b-12d3-a456-426614174000",
      "plannedDuration": 21600,
      "totalPlannedDurationWithHierarchy": 1,
      "closedOn": "2026-01-15T09:30:00Z",
      "taskStatus": {
        "id": "80a2b26b-9fb3-42b5-b6dc-126c437cad5d",
        "name": "Design",
        "description": "Work in progress",
        "type": "todo",
        "order": 1,
        "icon": "arrow_forward"
      },
      "createdBy": "123e4567-e89b-12d3-a456-426614174000",
      "correlationId": "123e4567-e89b-12d3-a456-426614174000",
      "parentId": "123e4567-e89b-12d3-a456-426614174000",
      "parentTask": {
        "id": "80a2b26b-9fb3-42b5-b6dc-126c437cad5d",
        "name": "Design"
      },
      "primaryTaskListId": "123e4567-e89b-12d3-a456-426614174000"
    },
    "project": {
      "id": "80a2b26b-9fb3-42b5-b6dc-126c437cad5d",
      "name": "Design",
      "projectStatus": {
        "id": "80a2b26b-9fb3-42b5-b6dc-126c437cad5d",
        "name": "Design",
        "description": "Work in progress",
        "type": "todo",
        "isArchived": false
      },
      "company": {
        "id": "80a2b26b-9fb3-42b5-b6dc-126c437cad5d",
        "name": "Design",
        "hasImage": true,
        "description": "One of our customers"
      },
      "projectType": {
        "id": "80a2b26b-9fb3-42b5-b6dc-126c437cad5d",
        "name": "Design",
        "icon": "thumb_up",
        "isArchived": false
      },
      "projectKey": "string",
      "isPrivate": false,
      "hasImage": true,
      "isExternal": true,
      "isBillableByDefault": true,
      "createdBy": "123e4567-e89b-12d3-a456-426614174000"
    },
    "breaks": [
      {
        "startDate": "2022-01-01T12:00:00Z",
        "duration": 3600,
        "endDate": "2022-01-01T13:00:00Z"
      }
    ],
    "resourceVersion": 637825154598057900,
    "isExternal": true
  }
]
```
